<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                template="/WEB-INF/templates/LoggedTemplate.xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:p="http://primefaces.org/ui"
                xmlns:f="http://java.sun.com/jsf/core">


    <ui:define name="contentPart">

       <h:outputText 
          value="Nómina -> Reportes -> LayOut Siri" 
                style="font-weight: bold"/>

            <hr class="ui-separator ui-state-default ui-corner-all separator"></hr>            
 <h:outputText value="Generación de reporte siri" />
           <br/><br/>

        <div id="buscar" align="center" style="margin-top: 20px;">

            <h:form>
                <h:panelGrid columns="2" cellpadding="5" columnClasses="centered5,centered6">
                    <p:column>
                <p:outputLabel value="Ejercicio" for="ejercicio" style="font-weight: bold"/>
                    </p:column>
                    <p:column>
                <p:selectOneMenu id="ejercicio" 
                                 class="ejercicio"
                                 required="true"
                                 requiredMessage="se debe seleccionar un ejercicio"
                                 value="#{reporteSiriMB.idEjercicio}"
                                 style="min-width: 200px !important; ">
                    <p:ajax   event="change"
                              listener="#{reporteSiriMB.obtenerPeriodos()}"
                              process="@(.ejercicio)"
                              update="@(.bimestre)"/>
                    <f:selectItem itemLabel="Seleccionar ejercicio"
                                  noSelectionOption="true" />
                    <f:selectItems value="#{reporteSiriMB.ejercicios}"
                                   var="ejercicio"
                                   itemLabel="#{ejercicio.valor}"
                                   itemValue="#{ejercicio.idEjercicio}"
                                   />
                </p:selectOneMenu>
                 </p:column>
                    <p:column>
                <p:outputLabel value="Bimestre" for="bimestre" style="font-weight: bold"/>
                 </p:column>
                    <p:column>
                <p:selectOneMenu id="bimestre"
                                 class="bimestre"
                                 required="true"
                                 value="#{reporteSiriMB.idPeriodo}"
                                 style="min-width: 200px !important;"
                                 >
                    <p:ajax   event="change"
                              process="@(.bimestre)"
                              update="@(.descargartxt)"/>
                    <f:selectItem itemLabel="Seleccionar Bimestre"

                                  noSelectionOption="true" />
                    <f:selectItems value="#{reporteSiriMB.periodos}"
                                   var="periodo"
                                   itemLabel="#{periodo.get('DESC_PERIODO')}"
                                   itemValue="#{periodo.get('PERIODO')}"
                                   />

                </p:selectOneMenu>
                 </p:column>
                  
                </h:panelGrid>
                <p:commandButton    value="Descargar txt"
                                    class="descargartxt"    
                                    title="DESCARGA TXT"
                                    ajax="false"                         
                                    icon="ui-icon-arrowthick-1-s"
                                    actionListener="#{reporteSiriMB.getFileDownload()}"
                                    style="display:inline; font-size:small;">
                    <p:fileDownload value="#{reporteSiriMB.file}" />
                </p:commandButton>

                <!--p:commandButton value="Descargar excel"
                                 title="DESCARGA xls"
                                 ajax="false"                         
                                 icon="ui-icon-arrowthick-1-s"

                                 style="display:inline; font-size:small; margin-left: 50px;">
                    <p:fileDownload value="#{reporteSiriMB.file}" />
                </p:commandButton-->
            </h:form>
        </div>

    </ui:define>


</ui:composition>